Welcome! Log In Create A New Profile

Advanced

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Jools Wills
June 18, 2009 07:22AM
On Thu, 2009-06-18 at 14:09 +0700, Edho P Arief wrote:

> IMO nginx is not suited (or not designed) for multiple user usage.

i have a system with just a few users with some homedirectories
(no php in home area). so because I have more than 1 single site, I
should not use nginx? Reasons I needed nginx were due to lousy apache
performance. Perhaps NGINX should support such setups better. Lighttpd
is of course available, but i had read good things about nginx (and the
performance has been very impressive)

> WRT the alias, it's either bug or just as intended (I also hit this
> error when trying this).

the lack of documentation when functionality has changed is a bit of an
issue. this used to work, now it doesnt. Would be great if it said that
somewhere. I realise there are some language barriers, but there are
enough users of NGINX now that things like this need to be addressed.

Best Regards

Jools
Subject Author Posted

Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Jools Wills June 17, 2009 06:37PM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

edogawaconan June 17, 2009 10:33PM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Jools Wills June 18, 2009 02:43AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

edogawaconan June 18, 2009 03:09AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Jools Wills June 18, 2009 07:22AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Igor Sysoev June 18, 2009 03:41AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

edogawaconan June 18, 2009 04:13AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Igor Sysoev June 18, 2009 04:21AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

edogawaconan June 18, 2009 04:39AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Igor Sysoev June 18, 2009 04:46AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Jools Wills June 18, 2009 07:17AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Igor Sysoev June 18, 2009 07:34AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Jools Wills June 20, 2009 11:27AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Igor Sysoev June 20, 2009 11:38AM



Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 223
Record Number of Users: 8 on April 13, 2023
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready